alias ltview {
  if (%lt.file.view != $null) { goto setlt }
  set %lt.file.view $file="Select log/text file to view" C:\*.log;*.txt
  if (%lt.file.view === $null) { echo -at No file selected! | halt }
  :setlt
  dialog -md ltview ltview 
  var %lt.total.lines $lines(%lt.file.view)
  if (%lt.total.lines === 0) { halt }
  var %lt.view.line.number 1
  var %lt.view.line $read -l $+ %lt.view.line.number %lt.file.view
  did -i ltview 1 %lt.view.line.number %lt.view.line
  if (%lt.view.line.number === %lt.total.lines) { halt }
  :loop  
  inc %lt.view.line.number 1
  var %lt.view.line $read -l $+ %lt.view.line.number %lt.file.view
  did -i ltview 1 %lt.view.line.number %lt.view.line
  if (%lt.view.line.number === %lt.total.lines) { halt }
  else { goto loop }
}
dialog ltview {
  title "KillerScript Log/Text Viewer"
  size -1 -1 528 355
  edit "", 1, 10 10 510 305, multi, vsbar, hsbar, return
  button "Clear File", 2, 135 325 80 25
  button "Clear Window", 3, 220 325 80 25
  button "Close", 4, 305 325 80 25, ok
}
on *:DIALOG:ltview:sclick:2:{ write -c %lt.file.view | unset %lt.file.view }
on *:DIALOG:ltview:sclick:3:{ did -r ltview 1 | did -f ltview 1 }
on *:DIALOG:ltview:sclick:4:{ unset %lt.file.view }
on *:LOAD:{ echo -at 11,1NuCiTaScript 9Log/Text Viewer has been loaded! }
menu menubar { 
  Log/Text Viewer:{ ltview }
}
